import java.util.*;
public class BancoPessoas {
	private static BancoPessoas instance = new BancoPessoas();
	private HashMap pessoasMap = new HashMap();
	private BancoPessoas() {
		pessoasMap.put(new Integer(1), new Pessoa(1, "Alan Turing"));
		pessoasMap.put(new Integer(2), new Pessoa(2, "Ada Byron"));
		pessoasMap.put(new Integer(3), new Pessoa(3, "Richard Feynmann"));
		pessoasMap.put(new Integer(4), new Pessoa(4, "Mario Schenberg"));
	}
	public static BancoPessoas getInstance() {
		return instance;
	}
	
	public Pessoa getPessoa(int id) {
		return (Pessoa)pessoasMap.get(new Integer(id));
	}
	public Pessoa removePessoa(int id) {
		return (Pessoa)pessoasMap.remove(new Integer(id));
	}
	public Pessoa[] getAll() {
		Collection all = pessoasMap.values();
		Pessoa[] buffer = new Pessoa[all.size()];
		return (Pessoa[]) all.toArray(buffer);			
	}
	public void addPessoa(int id, String nome) {
		if (!pessoasMap.containsKey(new Integer(id))) {
			pessoasMap.put(new Integer(id), new Pessoa(id, nome));
		} else {
			addPessoa(id + 1, nome);
		}
	}
}
